package yi.iu.processor.morph;

import java.awt.*;

public class Closing extends Morph
{
	public Closing(int st, int s)
	{
		super(st, s);
	}
    public int[] getProcessed(int source[], Dimension d)
    {
	    Dilation dilation= new Dilation(struct,size);
	    int[] result= dilation.getProcessed(source,d);
	    Erosion erosion= new Erosion(struct,size);
	    result= erosion.getProcessed(result,d);
	    return result;
    }

}